﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using DTOWebServices;

namespace WebService1
{
    /// <summary>
    /// Descrizione di riepilogo per Service1
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // Per consentire la chiamata di questo servizio Web dallo script utilizzando ASP.NET AJAX, rimuovere il commento dalla riga seguente. 
    // [System.Web.Script.Services.ScriptService]
    public class Service1 : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        [WebMethod]
        public PersonaDTO getPersona(string username)
        {
            if (username.Equals("kiraya"))
            {
                return new PersonaDTO
                {
                    UserId = 1,
                    Username = "kiraya",
                    Nome = "Andrea",
                    Cognome = "Magini",
                    DataNascita = new DateTime(1966,6,6),
                    IndirizzoResidenza = "Via Proxy 666",
                    ProvinciaResidenza ="HL",
                    CittaResidenza ="HELL",
                    CAPResidenza="00666"
                };
            }
            if (username.Equals("test"))
            {
                return new PersonaDTO
                {
                    UserId = 2,
                    Username = "test",
                    Nome = "TestNome",
                    Cognome = "TestCognome",
                    DataNascita = new DateTime(1980,12, 1),
                    IndirizzoResidenza = "Via test xxx",
                    ProvinciaResidenza = "RM",
                    CittaResidenza = "ROMA",
                    CAPResidenza = "00141"
                };
            }
            return null;
        }

        [WebMethod]
        public MovimentoDTO[] getMovimenti(int userid)
        {

            MovimentoDTO[] listaMovimenti = new MovimentoDTO[3] ;
                      
            listaMovimenti[0] = new MovimentoDTO();
            listaMovimenti[0].UserId = userid;
            listaMovimenti[0].IdMovimento = 1;
            listaMovimenti[0].DataMovimento = DateTime.Parse("01/01/2010");
            listaMovimenti[0].Descrizione = "primo movimento";
            listaMovimenti[0].Valore = 50000;
            listaMovimenti[1] = new MovimentoDTO();
            listaMovimenti[1].UserId = userid;
            listaMovimenti[1].IdMovimento = 2;
            listaMovimenti[1].DataMovimento = DateTime.Parse("02/01/2010");
            listaMovimenti[1].Descrizione = "secondo movimento";
            listaMovimenti[1].Valore = 22000;
            listaMovimenti[2] = new MovimentoDTO();
            listaMovimenti[2].UserId = userid;
            listaMovimenti[2].IdMovimento = 3;
            listaMovimenti[2].DataMovimento = DateTime.Parse("03/01/2010");
            listaMovimenti[2].Descrizione = "terzo movimento";
            listaMovimenti[2].Valore = 12000;
            return listaMovimenti;
        }
    }
}